# Class MolstarCallbackManager

#### Hierarchy

- MolstarCallbackManager

#### Implements

- ViewerCallbackManagerInterface

- Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarCallbackManager.ts:23

#####
Index

### Constructors

constructor

### Properties

hoverSubs
innerReprChangeFlag
innerSelectionFlag
loadingFlag
modelChangeSubs
modelMapManager
reprChangeSubs
selectSubs
stateManager
viewer

### Methods

modelChange
pluginCall
subscribeHover
subscribeModelChange
subscribeRepresentationChange
subscribeSelection
unsubscribe

## Constructors

### constructor

- new MolstarCallbackManager(config): MolstarCallbackManager

- #### Parameters

  - ##### config: {
    innerReprChangeFlag: DataContainer<boolean>;
    innerSelectionFlag: DataContainer<boolean>;
    loadingFlag: DataContainerReader<boolean>;
    modelMapManager: ModelMapType;
    stateManager: RcsbFvStateInterface;
    viewer: Viewer;
    }

    - ##### innerReprChangeFlag: DataContainer<boolean>

    - ##### innerSelectionFlag: DataContainer<boolean>

    - ##### loadingFlag: DataContainerReader<boolean>

    - ##### modelMapManager: ModelMapType

    - ##### stateManager: RcsbFvStateInterface

    - ##### viewer: Viewer

  #### Returns MolstarCallbackManager

  - Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarCallbackManager.ts:37

## Properties

### `Private` hoverSubs

hoverSubs: Subscription

- Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarCallbackManager.ts:33

### `Private` `Readonly` innerReprChangeFlag

innerReprChangeFlag: DataContainer<boolean>

- Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarCallbackManager.ts:30

### `Private` `Readonly` innerSelectionFlag

innerSelectionFlag: DataContainer<boolean>

- Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarCallbackManager.ts:29

### `Private` `Readonly` loadingFlag

loadingFlag: DataContainerReader<boolean>

- Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarCallbackManager.ts:27

### `Private` modelChangeSubs

modelChangeSubs: Subscription

- Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarCallbackManager.ts:34

### `Private` `Readonly` modelMapManager

modelMapManager: ModelMapType

- Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarCallbackManager.ts:28

### `Private` reprChangeSubs

reprChangeSubs: Subscription

- Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarCallbackManager.ts:35

### `Private` selectSubs

selectSubs: Subscription

- Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarCallbackManager.ts:32

### `Private` `Readonly` stateManager

stateManager: RcsbFvStateInterface

- Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarCallbackManager.ts:26

### `Private` `Readonly` viewer

viewer: Viewer

- Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarCallbackManager.ts:25

## Methods

### modelChange

- modelChange(): void

- #### Returns void

  Implementation of ViewerCallbackManagerInterface.modelChange

  - Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarCallbackManager.ts:191

### pluginCall

- pluginCall(f): void

- #### Parameters

  - ##### f: ((plugin) => void)

    - - (plugin): void

      - #### Parameters

        - ##### plugin: PluginContext

        #### Returns void

  Implementation of ViewerCallbackManagerInterface.pluginCall

  - Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarCallbackManager.ts:178

### subscribeHover

- subscribeHover(): Subscription

- #### Returns Subscription

  Implementation of ViewerCallbackManagerInterface.subscribeHover

  - Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarCallbackManager.ts:56

### subscribeModelChange

- subscribeModelChange(): Subscription

- #### Returns Subscription

  Implementation of ViewerCallbackManagerInterface.subscribeModelChange

  - Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarCallbackManager.ts:182

### subscribeRepresentationChange

- subscribeRepresentationChange(): Subscription

- #### Returns Subscription

  Implementation of ViewerCallbackManagerInterface.subscribeRepresentationChange

  - Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarCallbackManager.ts:46

### subscribeSelection

- subscribeSelection(): Subscription

- #### Returns Subscription

  Implementation of ViewerCallbackManagerInterface.subscribeSelection

  - Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarCallbackManager.ts:84

### unsubscribe

- unsubscribe(): void

- #### Returns void

  Implementation of ViewerCallbackManagerInterface.unsubscribe

  - Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarCallbackManager.ts:196

Generated using TypeDoc